
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_COMMON
#define INITNG_COMMON

#include "initng.h"
#include "initng_active_db.h"

service_cache_h *initng_common_parse_service(const char *name);
active_db_h *initng_common_load_to_active(const char *new_s_name);
int initng_common_get_service(active_db_h * service);
int initng_common_mark_service(active_db_h * service, a_state_h * state);
int initng_common_service_blacklisted(const char *name);

#endif
